Apply Pipeline Template
const url = 'https://junction-api.qualiastudios.dev/v1/pipelines/templates:apply';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"source":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://junction-api.qualiastudios.dev/v1/pipelines/templates:apply \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "source": "example" }'Apply the file as the workspace’s template of its name: created
the first time, the next immutable version when its graph or outputs
changed, its description updated in place when only that changed, and
changed: false when nothing did. Safe to retry.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”A template file, as it is kept in the workspace’s repository.
object
The TOML file: name, description, nodes, edges, outputs
Example generated
{ "source": "example"}Responses
Section titled “ Responses ”Successful Response
object
False when nothing was written; a new graph or outputs is a new version, a new description is written in place
One launch-form field of a template: an exposed port with its JSON schema, derived required-ness, and display metadata.
object
object
object
object
Example generated
{ "pipeline_template_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "version": 1, "changed": true, "launch_fields": [ { "name": "example", "type_name": "example", "schema": {}, "required": true, "default": "example", "resolve": {}, "ui": {} } ]}Invalid or missing API key
Standard error response.
object
Error message describing what went wrong
Example generated
{ "detail": "example"}Missing capability on the workspace
Standard error response.
object
Error message describing what went wrong
Example generated
{ "detail": "example"}The template is retired
Standard error response.
object
Error message describing what went wrong
Example generated
{ "detail": "example"}The file is not a valid template